---
title: Update a workspace webhook subscription
description: Update a workspace webhook subscription
---
# Update a workspace webhook subscription

`PATCH https://api.releases.sh/v1/workspaces/{workspaceId}/webhooks/{id}`

**Auth:** Bearer token required.

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `workspaceId` | path | string | yes |  |
| `id` | path | string | yes |  |

**Request body** (`application/json`)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `url` | string | no |  |
| `format` | "json" \| "slack" \| "discord" | no |  |
| `description` | string \| null | no |  |
| `enabled` | boolean | no |  |
| `disabledReason` | string \| null | no |  |
| `releaseType` | "feature" \| "rollup" \| null | no |  |
| `sourceId` | string \| null | no |  |
| `sourceSlug` | string | no |  |
| `productId` | string \| null | no |  |
| `productSlug` | string | no |  |

**Responses**

- `200` The updated subscription
- `400` Invalid JSON body or field, an unsafe webhook target, or no recognized fields
- `401` Sign-in required
- `403` Workspace owner or admin required
- `404` Workspace, webhook subscription, or named source/product not found

Full request and response schemas: [OpenAPI 3.1 spec](https://api.releases.sh/v1/openapi.json).
